Subject: From: AIList Moderator Kenneth Laws <AIList-REQUEST%sri-ai.arpa@CSNET-RELAY>

From: [email-masked]
Date: Sat, 22 Feb 86 01:24:46 est

Received: from sri-ai.arpa by CSNET-RELAY.ARPA id a007083; 21 Feb 86 14:07 EST
Date: Fri 21 Feb 1986 09:29-PST
Reply-to: AIList%sri-ai.arpa@CSNET-RELAY
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467
Subject: AIList Digest   V4 #33
To: AIList%sri-ai.arpa@CSNET-RELAY
Received: from rand-relay by vpi; Sat, 22 Feb 86 01:14 EST

AIList Digest            Friday, 21 Feb 1986       Volume 4 : Issue 33

Today's Topics:
  Literature - New CSLI Reports & Indiana U. CS TR #176,
  Reviews - SI Interactions, 2/86 & Applied Intelligence 12/85,
  History - Airline Reservation Systems,
  Machine Learning - Hopfield Networks,
  Methodology - Dreyfus' Technology Review Article

----------------------------------------------------------------------

Date: Wed 19 Feb 86 17:20:04-PST
From: Emma Pease <[email-masked]>
Subject: New CSLI Reports

      Report No. CSLI-85-34, ``Applicability of Indexed Grammars to
   Natural Languages'' by Gerald Gazdar, Report No. CSLI-85-39, ``The
   Structures of Discourse Structure'' by Barbara Grosz and Candace L.
   Sidner, and Report No. CSLI-85-44, ``Language, Mind, and Information''
   by John Perry, have just been published.  These reports may be
   obtained by writing to Trudy Vizmanos, CSLI, Ventura Hall, Stanford,
   CA 94305 or Trudy@SU-CSLI.

------------------------------

Date: 14 Feb 86 16:12:00 GMT
From: [email-masked]
Subject: Indiana U. CS TR #176

Due to conditions of poverty, the Indiana University Computer Department
is henceforth unable to supply free copies my technical report (#176) titled
"Why Artificial Intelligence Is Necessarily Ad Hoc: One's Thinking/Approach/
Model/Solution Rides on One's Metaphors".  The volume of requests has simply
outstripped our financial resources.  However, a modest bribe of $2.00 will
suffice to propagate the item to you.  More substantial unrestricted grants
from corporate, philanthropic or governmental sources are always welcome.
Please make your bribes PAYABLE TO Indiana University Foundation, but do
continue to ADDRESS REQUESTS for our TRs TO Nancy Garrett, Computer Science
Department, Lindley Hall 101, Bloomington, Indiana 47405.  You could let Nancy
know in advance that you're sending money for one: [email-masked] or
[email-masked].
As the saing goes, sorry for the inconvenience but that's the breaks.  Several
people got the TR for free, but no more.  Perhaps it should be noted that any
run on IU tech reports will generate a bribe request  proportional to the
length of the item.  TR #176 has 52 pages.
                        -- Marek Lugowski
                           Indiana University Computer Science
                           Bloomington, Indiana 47405
                           [email-masked]

------------------------------

Date: WED, 10 JAN 84 17:02:23 CDT
From: [email-masked]
Subject: Review - SI Interactions, 2/86

Summary of
AI Interactions, Volume 1, Number 7, February 1986

Texas Instruments has invested more money in AI research than the Japanese
in their Fifth Generation Project.  The Computer Systems Laboratory is
working to design computers with several different types of processors
on the same bus or chip, e. g. array procesors, graphics processors and
symbolic processors.  They also developing an architectural concept called
Odyssey which combines multiple digital signal processing chips on a single
NuBus board.

At the Purdue University  in West Lafayette, they have developed
an expert sytem that assists farmers in determining the best way to market
their prodcut.  It has 180 rules with the prototype done in three months.

Discussion of the features of Personal Consultant Plus.  It includes
frames, meta-rules and mapping functions.  Also discusses the use of contexts.

Texas Instruments has announced Relational Table Management System, a
database system for the Explorer.  It interfaces with the Lisp environment.
A domain can store any type of object including graphics, pointers,
lists, relation names or large amounts of text.  It interfaces with
Natural Language Menu, a graphics tool kit,PROLOG.

Texas Instruments has developed an expert system to assist pilots
in the F-16.  The Defense Department awarded TI 3 million dollars to
develop a similar system for attack helicopters.  The F-16 system
handles two specific problems, towershaft failure and loss of canopy.
Towershaft is the mechanism by which the F-16 jet engine provides
power to other aircraft systems.

------------------------------

Date: WED, 10 JAN 84 17:02:23 CDT
From: [email-masked]
Subject: Review - Applied Intelligence 12/85

Summary of
Applied Intelligence, Volume 2 Number 4 December 1985

At the recent Instrumentation Society of America show in
Philadelphia, four major vendors announced their intent to offer
PICON, Lisp Machine Incorporated's real-time expert system, to
their customers.  Leeds and Northrup demonstrated the system in
conjunction with their MAX 1 process control system.  PICON is
running at six customer sites.  A large chemical processing company
is using PICON in control  The knowledge engineering was done by
a process engineer who developed a 350-frame knowledge base in
a period of two months.  Oak Ridge International bought PICON for
robotics and Lockheed bought it for CAD applications.

PICON has been installed at the Texaco chemical plant in Port Arthur
where it monitors several processes.  It interfaces to a Honeywell
TDC-2000 process control system.  Pete Thompson is the Manager of
Artificial Intelligence at Texaco's Computer and Information Systems
Department.

Lisp Machine Incorporated also announces the availability of ObjectLisp,
a second generation approach to object-oriented programming.  It directly
invokes local functions within the context of the object and releases
the programmer from having to define message-passing structures.
ObjectLISP allows both object variables and object functions to
be either created or deleted interactively without requiring recompilation.

MCC has made its sixth order for Lambda hardware from LMI.

------------------------------

Date: Wed, 19 Feb 86 23:47:40 est
From: [email-masked]
Subject: Airline Reservation Systems

>    Date: 23-Jan-86 12:52:19-PST
>    From: jbn at FORD-WDL1
>    ...  Contrast this with Minksy's recent claims seen here that airline
>    reservation systems were invented by someone at the MIT AI lab in the
>    1960s.
>
>I decided to take a close look at this contrast.  After searching through
>the recent archives, the only mention by Minsky of airline reservation
>systems that I can find is:
>
>    And I'm pretty sure that the first practical airline reservation was
>    designed by Danny Bobrow of the BBN AI group around 1966.!
>
>Now that I have refreshed my memory with what he actually said, I think the
>contrast is not quite as unflattering.  Given the use of the adjective
>``practical'', someone might even be able to make a case that he is right.

The case would not be watertight.  Air Canada was using a reservation
system developed at Ferranti Electric Inc., (a Toronto-based firm not
to be confused with Ferranti in UK), running on a redundant computer
system called Gemini, from 1961 for about 10 years until it was replaced.
It did all the things one associates with computerized reservation systems,
and was used by reservation clerks to deal with the public, so I guess
you could call it "practical."

Incidentally, this system led to the development of what may be the
first fully commercial time-sharing computer system (I mean memory-protected,
independent multi-user multitasking), the FP-6000, which was first
delivered around the end of 1962 or the beginning of 1963.  The design
for that machine formed the basis of the ICL 1900 series in the UK.
It, like the airline reservations system, was a totally Canadian design
(if you will forgive the chauvinism).

Martin Taylor

Martin Taylor
{allegra,linus,ihnp4,floyd,ubc-vision}!utzoo!dciem!mmt
{uw-beaver,qucis,watmath}!utcsri!dciem!mmt

------------------------------

Date: 15 Feb 86 05:32:32 GMT
From: [email-masked]  (Jeff Elman)
Subject: Re: Hopfield Networks?

In article <[email-masked]>, [email-masked] (Eric H Jensen) writes:
> In article <[email-masked]> [email-masked] (J. Eric Roskos) writes:
> >In a recent issue (Issue 367) of EE Times, there is an article titled
> >"Neural Research Yields Computer that can Learn".  This describes a
> >simulation of a machine that uses a "Hopfield Network"; from the ...
>
> I got the impression that this work is just perceptrons revisited.
> All this business about threshold logic with weighting functions on
> the inputs adjusted by feedback (i.e. the child reading) ...

This refers to some work by Terry Sejnowski, in which he uses a method
developed by Dave Rumelhart (U.C. San Diego), Geoff Hinton (CMU), and Ron
Williams (UCSD) for automatic adjustment of weights on connections between
perceptron-like elements.  Sejnowski applied the technique to
a system which automatically learned text-to-phoneme correspondances
and was able to take text input and then drive a synthesizer.
The current work being done by Rumelhart and his colleagues certainly
builds on the early perceptron work.  However, they have managed to
overcome one of the basic deficiencies of the perceptron.  While perceptron
systems have a simple learning procedure, this procedure only worked
for simple 2-layer networks, and such networks had limited power (they
could not recognize XOR patterns, for instance).  More complex multi-layer
networks were more powerful, but -- until recently -- there has been
no simply way for these systems to automatically learn how to adjust
weights on connections between elements.
Rumelhart has solved this problem, and has discovered a generalized
form of the perceptron convergence procedure which applies to networks
of arbitrary depth.  He and his colleagues have explored this technique in
a number of interesting simulations, and it appears to have a tremendous
amount of power.  More information is available from Rumelhart
([email-masked] or [email-masked]), or in a technical report "Learning
Internal Representations by Error Propagation" (Rumelhart, Hinton, Williams),
available from the Institute for Cognitive Science, U.C. San Diego,
La Jolla, CA 92093.

Jeff Elman
Phonetics Lab, UCSD
[email-masked] / ...ucbvax!sdcsvax!sdamos!elman

------------------------------

Date: 13 Feb 86 21:30:45 GMT
From: [email-masked]  (Peter Ladkin)
Subject: Re: "self-styled philosophers"

In article <[email-masked]>, [email-masked] (Mark Weiser) writes:

> A recent posting called the Dreyfus' "self-styled philosophers".  This
> is unfair, since Hubert Dreyfus is also styled a philosopher by many another
> philosopher in the area of phenomenology.

Agreed. He is also a professional philosopher, holding a chair at
U.C. Berkeley. His criticisms of AI claims are thoroughly thought
through, with a rigor that a potential critic of his views would
do well to emulate. He has done AI great service by forcing
practitioners to be more self-critical. AAAI should award him
distinguished membership!
His main thesis is that there are certain human qualities and
attributes, for example certain emotions, that are just not the
kinds of things that are amenable to mechanical mimicry. This
general claim seems unexceptional. His examples may not
always be the most appropriate for his claims, some of
his arguments seem to be incorrect, and, since he isn't a
practicing computer scientist, his knowledge of current research
is lacking. But it is intellectual sloppiness to deride him
without addressing his arguments.
There is, however, a political component to the discussion.
He believes he is able to show that certain types of research
cannot justify the claims they make on the basis of which they
are funded. He may be right in some of these cases. This is
clearly a sensitive issue, which muddies the intellectual
waters. Both sides would do well to separate the issues.

Peter Ladkin

------------------------------

Date: Tue, 11 Feb 86 03:48:30 PST
From: ucdavis!lll-crg!amdcad!amd!hplabs!fortune!redwood!rpw3@ucbvax
      .berkeley.edu (Rob Warnock)
Subject: Re: Technology Review article

+
| The [Technology Review] article was written by the Dreyfuss brothers, who ...
| claim...  that people do not learn to ride a bike by being told how to do it,
| but by a trial and error method that isn't represented symbolically.
+

Hmmm... Something for these guys to look at is Seymour Papert's work
in teaching such skills as bicycle riding, juggling, etc. by *verbal*
and *written* means.  That's not to say that some trial-and-error
practice is not needed, but that there is a lot more that can be done
analytically than is commonly assumed.  Papert has spent a lot of time
looking at how children learn certain physical skills, and has broken
those skills down into basic actions, "subroutines", and so forth.

After reading his book "Mindstorms", I picked up three apples and, following
the directions in the book, taught myself to juggle (3 things, not 4-"n") with
only a few minutes practice. Particularly useful were his warnings of which
errors were associated with which levels of the subroutine hierarchy. (Oddly
enough, most errors in the overall performance come not from the coordination
of the three balls, but from not mastering the most basic skill, throwing-
and-catching a single ball. The most serious mistake here is looking at the
balls at any points in the trajectory *other* than at the very top.)

So... there is at least SOME hint that the difference between "knowledge"
and "skills" is not as vast as we normally assume, *if* the "skills" are
analyzed properly with a view to learning.

Rob Warnock
Systems Architecture Consultant

UUCP:   {ihnp4,ucbvax!dual}!fortune!redwood!rpw3
DDD:    (415)572-2607
USPS:   627 26th Ave, San Mateo, CA  94403

------------------------------

Date: 16 Feb 86 23:44:45 GMT
From: [email-masked]  (Paul Benjamin)
Subject: Re: Re: "self-styled philosophers"

> In article <[email-masked]>, [email-masked] (Mark Weiser) writes:
> > A recent posting called the Dreyfus' "self-styled philosophers".  This
> > is unfair, ...
>
> Agreed. He is also a professional philosopher, ...

Baloney. His views show a total lack of understanding of science,
together with an inability to perform useful work relating to science.
For example, in his recent article, he recounts an "experiment"
he conducted to show that chessplayers do not use reasoning very
much, but just play instinctively. This experiment consisted of
an International Master playing against a weaker player. The IM
was forced to add a sequence of numbers while playing, thus
supposedly occupying his reasoning capability. The IM won anyway,
thus supposedly showing that chess is not primarily a reasoning
venture, or more precisely, that the difference between being a
master and just very good is not due to superior reasoning.
But wait a minute! How does this qualify as an experiment? Where
is the control group? Did he have the IM play a number of players,
sometimes having to add, sometimes not, and compare their results?
NO. Did he vary the distracting task, in case addition was not
demanding enough? NO.
In short, this experiment means nothing, since the IM may well have
played worse than he would have without having to add, but won
anyway. This type of "evidence" is constantly cited by Dreyfus to
support his views, but it's meaningless, due to his inability to
perform good work.
Also, he remarks that he and his brother have both failed to improve
to a master level in chess, and somehow uses this to support his
views, too! His basic argument is that if reasoning is so important,
then he should be able to make master, implying that he is a good
reasoner! It obviously has never occurred to him to ask someone
who is a master if reasoning is important to him. I am a USCF master,
and can guarantee that improving my reasoning capability has raised
my rating (over 300 points in the last few years). It seems arrogant
for him to reach conclusions about fields in which he is not
accomplished. This applies to both chess and AI.
Paul Benjamin

------------------------------

Date: 17 Feb 86 15:57:27 GMT
From: [email-masked]  (Barry Shein)
Subject: Re: Re: "self-styled philosophers"

>For example, in his recent article, he recounts an "experiment"
>he conducted to show that chessplayers do not use reasoning very
>much, but just play instinctively. This experiment consisted of
>an International Master playing against a weaker player. The IM
>was forced to add a sequence of numbers while playing, thus
>supposedly occupying his reasoning capability. The IM won anyway

I just repeated this experiment and I think he is right. I forced
my SUN to add sequences of numbers while playing chess with me and
I lost.

Here, do it yourself:

        main()
        {
                int i,j;
                for(;;) for(i=j=0; i < 10000 ; i++) j += i ;
        }

save this in file foo.c, compile with 'cc foo.c' and say:

        a.out & (runs it in the background)
        chesstool

it slows it down only a tad, barely noticeable, but I still keep losing!
AMAZING! my computer is human!
        -Barry Shein, Boston University

------------------------------

End of AIList Digest
********************